<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:24 PST 2005 -->
<TITLE>
: Interface  QueryExpressionDefault
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/QueryExpressionDefault.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QueryExpressionDefault.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.expressions</FONT>
<BR>
Interface  QueryExpressionDefault</H2>
<DL>
<DT><B>All Superinterfaces:</B> <DD>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html">QueryExpression</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></DD>
</DL>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/impl/QueryExpressionDefaultImpl.html">QueryExpressionDefaultImpl</A></DD>
</DL>
<HR>
<DL>
<DT>public interface <B>QueryExpressionDefault</B><DT>extends <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html">QueryExpression</A></DL>

<P>
<!-- begin-user-doc -->
 A representation of the model object '<em><b>Query Expression Default</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 <ul>
   <li><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A></li>
 </ul>
 </p>
<P>
<DL>
<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault()"><CODE>SQLExpressionsPackage.getQueryExpressionDefault()</CODE></A></DL>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->


<!-- =========== FIELD SUMMARY =========== -->


<!-- ======== CONSTRUCTOR SUMMARY ======== -->


<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()">getSQL</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the value of the '<em><b>SQL</b></em>' attribute.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#setSQL(java.lang.String)">setSQL</A></B>(java.lang.String&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>' attribute.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.schema.SQLObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.wst.rdb.internal.models.sql.schema.<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html">SQLObject</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotation(java.lang.String)">addEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#addEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">addEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDependencies()">getDependencies</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getDescription()">getDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotation(java.lang.String)">getEAnnotation</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">getEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#getLabel()">getLabel</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#removeEAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String)">removeEAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setAnnotationDetail(org.eclipse.emf.ecore.EAnnotation, java.lang.String, java.lang.String)">setAnnotationDetail</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setDescription(java.lang.String)">setDescription</A>, <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/schema/SQLObject.html#setLabel(java.lang.String)">setLabel</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.ENamedElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.ENamedElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getName, setName</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->


<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="getSQL()"><!-- --></A><H3>
getSQL</H3>
<PRE>
public java.lang.String <B>getSQL</B>()</PRE>
<DL>
<DD>Returns the value of the '<em><b>SQL</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>SQL</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html#getSQL()">getSQL</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html">QueryExpression</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Returns:</B><DD>the value of the '<em>SQL</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#setSQL(java.lang.String)"><CODE>setSQL(String)</CODE></A>, 
<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SQLExpressionsPackage.html#getQueryExpressionDefault_SQL()"><CODE>SQLExpressionsPackage.getQueryExpressionDefault_SQL()</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="setSQL(java.lang.String)"><!-- --></A><H3>
setSQL</H3>
<PRE>
public void <B>setSQL</B>(java.lang.String&nbsp;value)</PRE>
<DL>
<DD>Sets the value of the '<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE><em>SQL</em></CODE></A>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html#setSQL(java.lang.String)">setSQL</A></CODE> in interface <CODE><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html">QueryExpression</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the new value of the '<em>SQL</em>' attribute.<DT><B>See Also: </B><DD><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpressionDefault.html#getSQL()"><CODE>getSQL()</CODE></A></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/QueryExpressionDefault.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/QueryExpression.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/expressions/SearchCondition.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="QueryExpressionDefault.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;INNER&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
